ingres_escape_string
ingres_fetch_array
Ingres Functions
PHP Manual

# ingres_execute

Execute a prepared query

### Description

bool ingres_execute ( resource `$result` [, array `$params` [, string `$types` ]] )

Execute a query prepared using ingres_prepare.

> Note: Related Configurations

> See also the ingres.describe, ingres.scrollable and ingres.utf8 directives in Runtime Configuration.

### Parameters

`result`

  The result query identifier

`params`

  An array of parameter values to be used with the query

`types`

  A string containing a sequence of types for the parameter values passed. See the types parameter in ingres_query for the list of type codes.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ingres_unbuffered_query
- ingres_fetch_array
- ingres_fetch_assoc
- ingres_fetch_object
- ingres_fetch_row
- ingres_commit
- ingres_rollback
- ingres_autocommit
- ingres_set_environment
- ingres_errno
- ingres_error